Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1535115 - (CVE-2018-5704) CVE-2018-5704 openocd: Cross-protocol scripting attacks due to not blocking HTTP POST attempts on port 4444
CVE-2018-5704 openocd: Cross-protocol scripting attacks due to not blocking H...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20180112,repo...
: Security
Depends On: 1535118 1535119
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-16 11:19 EST by Adam Mariš
Modified: 2018-01-16 11:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2018-01-16 11:19:02 EST
Open On-Chip Debugger (OpenOCD) 0.10.0 does not block attempts to use HTTP POST for sending data to 127.0.0.1 port 4444, which allows remote attackers to conduct cross-protocol scripting attacks, and consequently execute arbitrary commands, via a crafted web site.

Bug report:

https://sourceforge.net/p/openocd/mailman/message/36188041/
Comment 1 Adam Mariš 2018-01-16 11:20:46 EST
Created openocd tracking bugs for this issue:

Affects: epel-all [bug 1535119]
Affects: fedora-all [bug 1535118]

Note You need to log in before you can comment on or make changes to this bug.